<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports.css" rel="stylesheet" />
    <script type="text/javascript" src="jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>
    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <br/>
      <span class="top-banner-font-1">1 suite</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" title="Collapse/expand all the suites" class="collapse-all-link">
          <img src="collapseall.gif" class="collapse-all-icon">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" panel-name="suite-NopCommerce" class="navigator-link">
              <span class="suite-name border-passed">NopCommerce</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" panel-name="test-xml-NopCommerce" class="navigator-link ">
                    <span>C:\Users\dannt\Desktop\Workspace\hybrid-framework-nopcommerce\resources\UserRunNopCommerceTestcase.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="testlist-NopCommerce" class="navigator-link ">
                    <span class="test-stats">1 test</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="group-NopCommerce" class="navigator-link ">
                    <span>0 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="times-NopCommerce" class="navigator-link ">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="reporter-NopCommerce" class="navigator-link ">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="ignored-methods-NopCommerce" class="navigator-link ">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="chronological-NopCommerce" class="navigator-link ">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">2 methods,   2 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-NopCommerce" class="hide-methods passed suite-NopCommerce"> (hide)</a> <!-- hide-methods passed suite-NopCommerce -->
                      <a href="#" panel-name="suite-NopCommerce" class="show-methods passed suite-NopCommerce"> (show)</a> <!-- show-methods passed suite-NopCommerce -->
                    </span>
                    <div class="method-list-content passed suite-NopCommerce">
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-NopCommerce" title="com.nopcommerce.user.Level_08_Switch_Role_User" class="method navigator-link" hash-for-method="Role_01_Switch_User_To_Admin">Role_01_Switch_User_To_Admin</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-NopCommerce" title="com.nopcommerce.user.Level_08_Switch_Role_User" class="method navigator-link" hash-for-method="User_02_Switch_Admin_To_User">User_02_Switch_Admin_To_User</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-NopCommerce -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-NopCommerce" class="panel NopCommerce">
          <div class="suite-NopCommerce-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">com.nopcommerce.user.Level_08_Switch_Role_User</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="Role_01_Switch_User_To_Admin">
                  </a> <!-- Role_01_Switch_User_To_Admin -->
                  <span class="method-name">Role_01_Switch_User_To_Admin</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="User_02_Switch_Admin_To_User">
                  </a> <!-- User_02_Switch_Admin_To_User -->
                  <span class="method-name">User_02_Switch_Admin_To_User</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-NopCommerce-class-passed -->
        </div> <!-- panel NopCommerce -->
        <div panel-name="test-xml-NopCommerce" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">C:\Users\dannt\Desktop\Workspace\hybrid-framework-nopcommerce\resources\UserRunNopCommerceTestcase.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;http://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite name=&quot;NopCommerce&quot;&gt;
  &lt;parameter name=&quot;url&quot; value=&quot;https://demo.nopcommerce.com/&quot;/&gt;
  &lt;test thread-count=&quot;5&quot; name=&quot;Run on FIREFOX&quot;&gt;
    &lt;parameter name=&quot;browser&quot; value=&quot;firefox&quot;/&gt;
    &lt;classes&gt;
      &lt;class name=&quot;com.nopcommerce.user.Level_08_Switch_Role_User&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Run on FIREFOX --&gt;
&lt;/suite&gt; &lt;!-- NopCommerce --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-NopCommerce" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for NopCommerce</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">Run on FIREFOX (1 class)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-NopCommerce" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for NopCommerce</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-NopCommerce" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for NopCommerce</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_NopCommerce');
function tableData_NopCommerce() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(2);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'Role_01_Switch_User_To_Admin')
data.setCell(0, 2, 'com.nopcommerce.user.Level_08_Switch_Role_User')
data.setCell(0, 3, 4166);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'User_02_Switch_Admin_To_User')
data.setCell(1, 2, 'com.nopcommerce.user.Level_08_Switch_Role_User')
data.setCell(1, 3, 0);
window.suiteTableData['NopCommerce']= { tableData: data, tableDiv: 'times-div-NopCommerce'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 4 seconds</span>
              <div id="times-div-NopCommerce">
              </div> <!-- times-div-NopCommerce -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-NopCommerce" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for NopCommerce</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-NopCommerce" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-NopCommerce" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">com.nopcommerce.user.Level_08_Switch_Role_User</div> <!-- chronological-class-name -->
              <div class="configuration-class before">
                <span class="method-name">beforeClass(firefox)</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-class before -->
              <div class="test-method">
                <span class="method-name">Role_01_Switch_User_To_Admin</span>
                <span class="method-start">4642 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">User_02_Switch_Admin_To_User</span>
                <span class="method-start">8810 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-class after">
                <span class="method-name">afterClass</span>
                <span class="method-start">8811 ms</span>
              </div> <!-- configuration-class after -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
</html>
